Support » Plugin: WP Social Bookmarking Light » PHP7.1.4で「Warning」の表示

  • 本番サーバーの予備としてローカル環境でWPの更新チェックを行っているのですが、Local by Flywheelで構築したローカル環境でWP Social Bookmarking Lightを使っていて、PHPを5.3.3から7.1.4に変更したところ、ページ最下部に以下のようなPHPメッセージが表示されます。

    Warning: A non-numeric value encountered in /app/public/wp-content/plugins/wp-social-bookmarking-light/vendor/twig/twig/lib/Twig/Environment.php(462) : eval()’d code on line 55

    さらに同様のWarning表示が2つ、計3つ表示されています。

    本番環境のPHPを7系に上げたいので、まずローカルで試してみたらこのようになりました。
    PHPが5.3.3の時は表示されません。一応環境を書きますと、

    WordPress:4.9.5
    テーマ:オリジナル(テーマをTwentySeventeenにしても結果変わらず)
    MySQL:5.5
    WP Social Bookmarking Light:2.0.7

    プラグインのバグでしょうか。PHPはもう7系で動かした方がいいと思うので、PHPのバージョンを変えずに何とかできればと思います。よろしくお願いいたします。

  • The topic ‘PHP7.1.4で「Warning」の表示’ is closed to new replies.